API documentation
Every endpoint you need to connect Lithuanian company data to your CRM, ERP or app. Requests are authorized with an API key and responses are returned as JSON.
Request example
const axios = require('axios');
const config = {
method: 'get',
url: 'https://1db.lt/api/private/api-key-stats',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
};
axios(config)
.then(response => {
console.log(JSON.stringify(response.data));
})
.catch(error => {
console.log(error);
});Endpoints
GET/api/private/api-key-statsGet api key stats
Response
{
"key": "YOUR_API_KEY",
"expiresAt": "2025-12-07T15:33:46.297Z",
"usedCalls": 110,
"remainingCalls": 9890,
"callsPerMonth": 10000
}GET/api/private/possible-categories-and-citiesReturns list of possible categories and cities, to use for filtering data
Response
{
"categories": [
"Gamyba",
"Gamtos apsauga"
],
"cities": [
"Vilnius",
"Kaunas"
]
}GET/api/private/database-sizeNumber of total records in database
Response
{
"totalCompaniesAmount": 344657
}POST/api/private/filter-companiesFilter database to retrieve list of companies with pagination
Request body
{
"perPage": 25,
"currentPage": 1,
"filter": {
"hasAddress": true,
"hasEmail": false,
"hasOwner": true,
"hasPhone": true,
"workersFrom": 10,
"salaryFrom": 3000,
"salesProfitFrom": 10000,
"netProfitFrom": 5000,
"ageFrom": 2,
"cities": [
"Vilnius",
"Kaunas"
],
"categories": [
"Gamyba",
"Gamtos apsauga"
]
}
}Response
{
"amount": 67308,
"pagination": {
"currentPage": 1,
"perPage": 25,
"totalPages": 2693,
"hasNextPage": true,
"hasPrevPage": false
},
"results": [
{
"companyName": "Live stone, MB",
"address": "Laisvės pr. 60, Vilnius",
"code": "306348664"
},
{
"companyName": "UAB \"KOMNIS\"",
"address": "Bikonių g. 1, Bikonių k., Ukmergės r.",
"code": "302756775"
}
]
}POST/api/private/get-single-recordGet single company record
Request body
{
"category": "Akmens gaminiai",
"companyName": "Irlanda, UAB"
}Response
{
"companyName": "Irlanda, UAB",
"address": "Savanorių pr. 136, LT-44148 Kaunas",
"code": "133986548",
"pvmCode": "LT339865412",
"director": "Valdas Mickus, generalinis direktorius",
"city": "LT-44148 Kaunas",
"website": "http://aparici.lt",
"workers": "38",
"averageSalary": "2 028,06 €",
"averageSalerySort": 2,
"salesProfit": "7269851",
"netProfit": "70281",
"age": "31 m. 7 mėn. 19 d.",
"initialCapital": "1 158 400 €",
"email": [
"kaunas@irlanda.lt",
"vilnius@irlanda.lt",
"klaipeda@irlanda.lt",
"panevezys@irlanda.lt"
],
"workingHours": "I-V 09:00-18:00, VI 10:00-15:00",
"taxesPaid": "36287",
"exportPercentage": "",
"vehicles": "25",
"rating": "7",
"creditRisk": "",
"activities": [
"Interjero apdailos medžiagos",
"Akmens gaminiai",
"Betonas ir betono gaminiai",
"Grindys, grindų dangos",
"Keramikos gaminiai",
"Sienos, lubos",
"Statyba",
"Statybinės medžiagos"
],
"debt": "",
"phone": "+370 37 331044",
"category": "Akmens gaminiai"
}GET/api/private/get-single-record-by-code/133986548Get single company record by code
Response
{
"companyName": "Irlanda, UAB",
"address": "Savanorių pr. 136, LT-44148 Kaunas",
"code": "133986548",
"pvmCode": "LT339865412",
"director": "Valdas Mickus, generalinis direktorius",
"city": "LT-44148 Kaunas",
"website": "http://aparici.lt",
"workers": "38",
"averageSalary": "2 028,06 €",
"averageSalerySort": 2,
"salesProfit": "7269851",
"netProfit": "70281",
"age": "31 m. 7 mėn. 19 d.",
"initialCapital": "1 158 400 €",
"email": [
"kaunas@irlanda.lt",
"vilnius@irlanda.lt",
"klaipeda@irlanda.lt",
"panevezys@irlanda.lt"
],
"workingHours": "I-V 09:00-18:00, VI 10:00-15:00",
"taxesPaid": "36287",
"exportPercentage": "",
"vehicles": "25",
"rating": "7",
"creditRisk": "",
"activities": [
"Interjero apdailos medžiagos",
"Akmens gaminiai",
"Betonas ir betono gaminiai",
"Grindys, grindų dangos",
"Keramikos gaminiai",
"Sienos, lubos",
"Statyba",
"Statybinės medžiagos"
],
"debt": "",
"phone": "+370 37 331044",
"category": "Akmens gaminiai"
}